public class XOR_Codierer extends Encoder{
	// hier wird der geheime Schlssel abgelegt
	private int key;
	
	public XOR_Codierer(int k){
	   key = k;
	}
	
	// verschlsselt durch XOR-Operation mit key
	// die Zeichen der Zeichenkette s
	public String encode(String s) {
	   char[] c = s.toCharArray();
		
	   for (int i=0; i<c.length; i++)
	      c[i] = (char)(c[i]^key);
			
	   return new String(c);
	}
	
	// entschlsselt mit Hilfe der Funktion
	// encode die Zeichenkette s
	public String decode(String s){
	   return encode(s);
	}
}
